Delete a contact
DELETE
/api/v3/contacts/{email}
const url = 'https://api.tryletterhead.com/api/v3/contacts/example';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.tryletterhead.com/api/v3/contacts/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true }'Deletes a company-level contact and every subscription, tag, custom field value, and consent record attached to it. This cannot be undone.
This is a company-level (v3) write. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled โAuthorizations โParameters
Section titled โ Parameters โPath Parameters
Section titled โPath Parameters โ email
required
string
The contactโs email address, URL-encoded.
Request Body required
Section titled โRequest Body required โ Media type application/json
object
api
required
Required. Set to true to authenticate with an API key.
boolean
Example
{ "api": true}Responses
Section titled โ Responses โContact deleted.
Media type application/json
object
items
Array
message
string
total
integer
Example
{ "items": [], "message": "Contact deleted.", "total": 0}Still can’t find what you need? Contact support.